Skip to content
View as Markdown

POST Create Company Note​

POST
/companies/{id}/notes

Add a new note to a company. If created_at is not provided, it defaults to the current WordPress time. Fires the fluent_crm/company_note_added action hook after creation.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The company ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"note": {
"title": "string",
"description": "string",
"type": "string",
"created_at": "string"
}
}

Responses​

Note created successfully.

application/json
JSON
{
"note": {
"id": 0,
"subscriber_id": 0,
"title": "string",
"description": "string",
"type": "string",
"created_at": "string",
"updated_at": "string",
"added_by": "string"
},
"message": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI